> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monigo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a payout account

> Creates a new payout account linked to the specified customer



## OpenAPI

````yaml /api-reference/public-openapi.yaml post /v1/customers/{customer_id}/payout-accounts
openapi: 3.0.3
info:
  contact: {}
  description: Usage-based billing and metering API for Monigo.
  title: Monigo Public API
  version: '1.0'
servers:
  - url: https://api.monigo.co
security: []
paths:
  /v1/customers/{customer_id}/payout-accounts:
    post:
      tags:
        - payout-accounts
      summary: Create a payout account
      description: Creates a new payout account linked to the specified customer
      parameters:
        - name: customer_id
          in: path
          description: Customer ID
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              properties:
                account_name:
                  type: string
                account_number:
                  type: string
                bank_code:
                  type: string
                bank_name:
                  type: string
                currency:
                  type: string
                is_default:
                  type: boolean
                payout_method:
                  type: string
              type: object
        description: Payout account details
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                additionalProperties: true
                type: object
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                additionalProperties:
                  type: string
                type: object
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                additionalProperties:
                  type: string
                type: object
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                additionalProperties:
                  type: string
                type: object
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                additionalProperties:
                  type: string
                type: object
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      description: >-
        API key with Bearer prefix (for programmatic/server-to-server access),
        format: Bearer {api_key}
      in: header
      name: Authorization
      type: apiKey

````